Marktplaats API
  • Overview
  • Authentication
  • Webhooks
  • Root
  • Categories
  • Category attributes
  • Advertisements
  • Advertisement
  • Advertisement images
  • Advertisement features
  • Advertisement feature
  • Advertisement purchased feature
  • Advertisement renewal
  • Advertisement statistics
    • Fields
    • Reference
    • Examples
  • Advertisement transaction
  • Advertisement transactions
  • Buy advertisement feature
  • Upcall confirmations
  • Bids
  • Bid
  • Ask Bidder Question
  • Me
  • Users
  • User
  • Change email
  • User advertisements
  • User brands
  • User reviews
  • Image
  • Image blob
  • Image meta information
  • Order
  • Order products
  • Order product
  • Location
  • Search
  • Error codes
  • Endpoints
  • Indices and tables
  • Changelog
Marktplaats API
  • Advertisement statistics
  • View page source

Advertisement statistics¶

Endpoint to retrieve statistics about an advertisement.

Fields¶

Below are listed the specific statistics that are returned:

field

type

constraints

default

Req

W

U

numberOfViews

int

positive

yes

no

no

numberOfAsqs

int

positive

yes

no

no

numberOfBids

int

positive

yes

no

no

numberOfUrlClicks

int

positive

yes

no

no

numberOfPhoneClicks

int

positive

yes

no

no

numberOfFavoriteClicks

int

positive

yes

no

no

minFindabilityIndicator

int

positive

no

no

no

maxFindabilityIndicator

int

positive

no

no

no

numberOfViews

The number of times the advertisement page (VIP) has been viewed.

numberOfAsqs

The number of times a user contacted the seller of the advertisement (by sending an ASQ).

numberOfBids

The number of bids on the advertisement.

numberOfUrlClicks

The number of times a user clicked the URL of the advertisement.

numberOfPhoneClicks

The number of times a user clicked the telephone number of the advertisement.

numberOfFavoriteClicks

The number of user clicks to save this ad to their favorites. We only count the addition to the users favorites. In case a user removes it the number is not decremented. This means that there is a difference between the actual current number of users that have this ad in their favorites and the number of clicks tracked by this metric.

minFindabilityIndicator

An indication of the findability of the advertisement, returns the minimal page number for the ad to be found.
For example:
  • 1: Advertisement is findable from page 1 and up

  • 5: Advertisement is findable from page 5 and up

  • 10: Advertisement is finable from page 10 and up

Note

this data is experimental for now, and might not be available.

maxFindabilityIndicator

An indication of the findability of the advertisement, returns the max page number for the ad to be found.
For example:
  • 5: Advertisement is findable within the first 5 pages

  • 10: Advertisement is findable within the first 10 pages

  • if this field is missing, there is no upper bound, which means it’s somewhere in the results higher than or equal to the minFindabilityIndicator value

Note

this data is experimental for now, and might not be available.

Reference¶

GET /v1/advertisements/{itemId}/statistics

Retrieve statistics for a specific advertisement

Examples¶

Retrieving the statistics of an advertisement :

Request :

GET /v1/advertisements/m298/statistics HTTP/1.1
Host: api.marktplaats.nl

Response :

HTTP/1.1 200 OK
Content-Type: application/json

{
  "_links": {
    "self": {
      "href": "/v1/advertisements/m298/statistics",
      "title": "Access to advertisement statistics"
    },
    "describedby": {
      "href": "https://api.marktplaats.nl/docs/v1/advertisement-statistics.html"
    },
    "curies": [
      {
        "href": "https://api.marktplaats.nl/docs/v1/rels/{rel}.html",
        "templated": true,
        "name": "mp"
      }
    ]
  },
  "numberOfViews": 82,
  "numberOfAsqs": 11,
  "numberOfBids": 19,
  "numberOfUrlClicks": 47,
  "numberOfPhoneClicks": 67,
  "numberOfFavoriteClicks": 54
}
Previous Next

© Copyright 2023 Marktplaats B.V. Alle rechten voorbehouden.

Built with Sphinx using a theme provided by Read the Docs.